WeldFillStripBuilder Class

class NXOpen.Weld.WeldFillStripBuilder

Bases: NXOpen.Builder

A builder used to create or edit a single strip of the NXOpen.Weld.WeldFillBuilder.

To create a new instance of this class, use NXOpen.Weld.WeldFillBuilder.NewFillStrip()

New in version NX7.5.0.

Properties

Property Description
Center Returns the center of the fill strip.
Length Returns or sets the length of the fill strip.
Tag Returns the Tag for this object.
ToBeDeleted Returns or sets the flag indicating that the strip should be deleted.

Methods

Method Description
AlignNegative Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip.
AlignPositive Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip.
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
JoinNegative Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input.
JoinPositive Joins the end of the fill strip, along the length direction from center, to the other fill strip input.
MoveDelta Moves the fill strip the input length and width values.
MoveToPoint Moves the fill strip to the input center.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Split Splits the fill strip at the center and creates a new strip.
StretchNegative Stretches the fill strip the input length opposite of the length direction.
StretchPositive Stretches the fill strip the input length in the length direction.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Center

WeldFillStripBuilder.Center

Returns the center of the fill strip.

-------------------------------------

Getter Method

Signature Center

Returns:
Return type:NXOpen.Point3d

New in version NX7.5.0.

License requirements: None.

Length

WeldFillStripBuilder.Length

Returns or sets the length of the fill strip.

-------------------------------------

Getter Method

Signature Length

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Length

Parameters:length (float) –

New in version NX7.5.0.

License requirements: None.

ToBeDeleted

WeldFillStripBuilder.ToBeDeleted

Returns or sets the flag indicating that the strip should be deleted.

-------------------------------------

Getter Method

Signature ToBeDeleted

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ToBeDeleted

Parameters:flag (bool) –

New in version NX7.5.0.

License requirements: None.

Method Detail

AlignNegative

WeldFillStripBuilder.AlignNegative

Aligns the end of the fill strip, opposite of the length direction from center, to the same end of the input fill strip.

Signature AlignNegative(alignStrip)

Parameters:alignStrip (NXOpen.Weld.WeldFillStripBuilder) – Fill strip to align to.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

AlignPositive

WeldFillStripBuilder.AlignPositive

Aligns the end of the fill strip, along the length direction from center, to the same end of the input fill strip.

Signature AlignPositive(alignStrip)

Parameters:alignStrip (NXOpen.Weld.WeldFillStripBuilder) – Fill strip to align to.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

JoinNegative

WeldFillStripBuilder.JoinNegative

Joins the end of the fill strip, opposite of the length direction from center, to the other fill strip input.

Note the caller must delete the joinStrip if desired.

Signature JoinNegative(joinStrip)

Parameters:joinStrip (NXOpen.Weld.WeldFillStripBuilder) – Fill strip to join with.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

JoinPositive

WeldFillStripBuilder.JoinPositive

Joins the end of the fill strip, along the length direction from center, to the other fill strip input.

Note the caller must delete the joinStrip if desired.

Signature JoinPositive(joinStrip)

Parameters:joinStrip (NXOpen.Weld.WeldFillStripBuilder) – Fill strip to join with.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

MoveDelta

WeldFillStripBuilder.MoveDelta

Moves the fill strip the input length and width values.

Signature MoveDelta(lengthDelta, widthDelta)

Parameters:
  • lengthDelta (float) – Distance to move strip in the length direction.
  • widthDelta (float) – Distance to move strip in the width direction.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

MoveToPoint

WeldFillStripBuilder.MoveToPoint

Moves the fill strip to the input center.

Signature MoveToPoint(newCenter)

Parameters:newCenter (NXOpen.Point3d) – New center of the fill strip

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

Split

WeldFillStripBuilder.Split

Splits the fill strip at the center and creates a new strip.

Signature Split()

Returns:
Return type:NXOpen.Weld.WeldFillStripBuilder

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

StretchNegative

WeldFillStripBuilder.StretchNegative

Stretches the fill strip the input length opposite of the length direction.

Signature StretchNegative(lengthDelta)

Parameters:lengthDelta (float) – Distance to stretch the strip opposite of the length direction.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

StretchPositive

WeldFillStripBuilder.StretchPositive

Stretches the fill strip the input length in the length direction.

Signature StretchPositive(lengthDelta)

Parameters:lengthDelta (float) – Distance to stretch the strip in the length direction.

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

Validate

WeldFillStripBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.